function Input_Check(kodInput)
integer width
character(80) dummy

Input_Check =0

! Mesaj:
IF(.not.(kodInput ==0 .or. kodInput ==1 .or. kodInput ==2) ) THEN
Input_Check =-1
iw =width(kodInput)

DO WHILE (.NOT. EOF(1))         
READ (1, '(a)') dummy         
END DO

write(*, '(/,a, I<iw>, a)') '* kodInput = ', kodInput, ': Valoare invalida !'
write(1, '(/,a, I<iw>, a)') '* kodInput = ', kodInput, ': Valoare invalida !'

close(1)
ENDIF

END